/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.interfaces;


import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import java.io.Serializable;
import java.sql.Date;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public interface IHispropriedades extends VertxPojo, Serializable {

    /**
     * Setter for <code>public.hispropriedades.hispoptid</code>.
     */
    public IHispropriedades setHispoptid(Integer value);

    /**
     * Getter for <code>public.hispropriedades.hispoptid</code>.
     */
    public Integer getHispoptid();

    /**
     * Setter for <code>public.hispropriedades.fkardid</code>.
     */
    public IHispropriedades setFkardid(Integer value);

    /**
     * Getter for <code>public.hispropriedades.fkardid</code>.
     */
    public Integer getFkardid();

    /**
     * Setter for <code>public.hispropriedades.fktanid</code>.
     */
    public IHispropriedades setFktanid(Integer value);

    /**
     * Getter for <code>public.hispropriedades.fktanid</code>.
     */
    public Integer getFktanid();

    /**
     * Setter for <code>public.hispropriedades.fksenid</code>.
     */
    public IHispropriedades setFksenid(Integer value);

    /**
     * Getter for <code>public.hispropriedades.fksenid</code>.
     */
    public Integer getFksenid();

    /**
     * Setter for <code>public.hispropriedades.fkempid</code>.
     */
    public IHispropriedades setFkempid(Integer value);

    /**
     * Getter for <code>public.hispropriedades.fkempid</code>.
     */
    public Integer getFkempid();

    /**
     * Setter for <code>public.hispropriedades.hora</code>.
     */
    public IHispropriedades setHora(String value);

    /**
     * Getter for <code>public.hispropriedades.hora</code>.
     */
    public String getHora();

    /**
     * Setter for <code>public.hispropriedades.dia</code>.
     */
    public IHispropriedades setDia(Date value);

    /**
     * Getter for <code>public.hispropriedades.dia</code>.
     */
    public Date getDia();

    /**
     * Setter for <code>public.hispropriedades.medida</code>.
     */
    public IHispropriedades setMedida(String value);

    /**
     * Getter for <code>public.hispropriedades.medida</code>.
     */
    public String getMedida();

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * Load data from another generated Record/POJO implementing the common interface IHispropriedades
     */
    public void from(com.tabajara.base.tables.interfaces.IHispropriedades from);

    /**
     * Copy data into another generated Record/POJO implementing the common interface IHispropriedades
     */
    public <E extends com.tabajara.base.tables.interfaces.IHispropriedades> E into(E into);

    @Override
    public default IHispropriedades fromJson(io.vertx.core.json.JsonObject json) {
        setHispoptid(json.getInteger("hispoptid"));
        setFkardid(json.getInteger("fkardid"));
        setFktanid(json.getInteger("fktanid"));
        setFksenid(json.getInteger("fksenid"));
        setFkempid(json.getInteger("fkempid"));
        setHora(json.getString("hora"));
        // Omitting unrecognized type java.sql.Date for column dia!
        setMedida(json.getString("medida"));
        return this;
    }


    @Override
    public default io.vertx.core.json.JsonObject toJson() {
        io.vertx.core.json.JsonObject json = new io.vertx.core.json.JsonObject();
        json.put("hispoptid",getHispoptid());
        json.put("fkardid",getFkardid());
        json.put("fktanid",getFktanid());
        json.put("fksenid",getFksenid());
        json.put("fkempid",getFkempid());
        json.put("hora",getHora());
        // Omitting unrecognized type java.sql.Date for column dia!
        json.put("medida",getMedida());
        return json;
    }

}
